version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 948399f9136c8a3bffe9f829bcdec1b0d0d40f7694a124519760ec1f545f1471, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 948399f9136c8a3bffe9f829bcdec1b0d0d40f7694a124519760ec1f545f1471, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 948399f9136c8a3bffe9f829bcdec1b0d0d40f7694a124519760ec1f545f1471, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 948399f9136c8a3bffe9f829bcdec1b0d0d40f7694a124519760ec1f545f1471, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 948399f9136c8a3bffe9f829bcdec1b0d0d40f7694a124519760ec1f545f1471, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 948399f9136c8a3bffe9f829bcdec1b0d0d40f7694a124519760ec1f545f1471, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 948399f9136c8a3bffe9f829bcdec1b0d0d40f7694a124519760ec1f545f1471, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 948399f9136c8a3bffe9f829bcdec1b0d0d40f7694a124519760ec1f545f1471, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 948399f9136c8a3bffe9f829bcdec1b0d0d40f7694a124519760ec1f545f1471, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 948399f9136c8a3bffe9f829bcdec1b0d0d40f7694a124519760ec1f545f1471, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
